Configures all body detection specific options

### Hierarchy

- GenericConfig
  - BodyConfig

## Index

### Properties

- detector
- enabled
- maxDetected
- minConfidence
- modelPath
- skipFrames
- skipTime

## Properties

### Optional detector

detector?: { modelPath: string }

- Defined in src/config.ts:69

#### Type declaration

- ##### modelPath: string

  property

    path to optional body detector model json file

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

property

  is module enabled?

### maxDetected

maxDetected: number

- Defined in src/config.ts:66

property

  maximum numboer of detected bodies

### minConfidence

minConfidence: number

- Defined in src/config.ts:68

property

  minimum confidence for a detected body before results are discarded

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

property

  path to model json file

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:11

property

  how many max frames to go without re-running model if cached results are acceptable

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:13

property

  how many max miliseconds to go without re-running model if cached results are acceptable